@echo OFF
rem  * ************************************************************************
rem  *                 HX0080W2.cmd - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2016 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * Text   - Create a Hex-Dump of a file containing 80-byte records.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * *******************************************************************
rem  * Step 1, Delete any previously created file...
rem  *
     call ..\Env1BASE
     set CmdName=HX0080W2
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName% - v13.03.04"
:DeleteLSEQ
     call SimoNOTE "Continue Prepare the environment..."
     set SYSUT1=%BaseLib1%\DATA\ASC1\SIMOTIME.DATA.QSAM0080.DAT
     set SYSUT2=%BaseLib1%\DATA\WRK1\SIMOTIME.DATA.HX0080X1.DAT
     if exist %SYSUT2% del %SYSUT2%
rem  *
rem  * *******************************************************************
rem  * Step 2, Create the Hex-Dump file...
rem  *
     call SimoNOTE "Continue Create the Hex-Dump file..."
     run HX80DUMP
     if not exist %SYSUT2% set JobStatus=0003
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "DataTAKE is %SYSUT1%"
     call SimoNOTE "DataMAKE is %SYSUT2%"
rem  *
rem  * *******************************************************************
rem  * Step 3, Convert to ASCII/Text.
rem  *
     call SimoNOTE "Continue Convert Sequential to ASCII/Text..."
     set GETRS080=%SYSUT2%
     set PUTLS080=%BaseLib1%\DATA\WRK1\SIMOTIME.DATA.HX0080X2.DAT
     if exist %PUTLS080% del %PUTLS080%
     run CV80ARAL
     if not exist %PUTLS080% set JobStatus=0004
     if not "%JobStatus%" == "0000" goto EojNok
rem  *
rem  * *******************************************************************
rem  * Step 4, View HEX-Dump information using NotePAD....
rem  *
     start NOTEPAD %PUTLS080%
rem  *
rem  * *******************************************************************
rem  *
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
